# sc::AssignedKeyVal Class Reference

This class allows keyval associations to be set up by the program, rather than determined by an external file. More...

`#include <keyval.h>`

Inheritance diagram for sc::AssignedKeyVal:

List of all members.

## Public Member Functions

void | clear ()
| Erase all of the stored assignments.
Assignments.
Each of this routines assigns key to val.
void | assign (const char *key, const Ref< KeyValValue > &val)
void | assign (const char *key, double val)
void | assignboolean (const char *key, int val)
void | assign (const char *key, float val)
void | assign (const char *key, char val)
void | assign (const char *key, int val)
void | assign (const char *key, const char *val)
void | assign (const char *key, const Ref< DescribedClass > &val)

## Protected Member Functions

int | key_exists (const char *)
| Ultimately called by exists.
Ref< KeyValValue > | key_value (const char *, const KeyValValue &def)
| Ultimately called by value.

## Detailed Description

This class allows keyval associations to be set up by the program, rather than determined by an external file.

The documentation for this class was generated from the following file:

- keyval.h